Subject: Re: [media-types] Review requested for draft-bormann-cbor-04

From: Paul Hoffman <[email-masked]>
Date: Fri, 19 Jul 2013 08:44:04 -0700

At 09:09 15-07-2013, Bjoern Hoehrmann wrote:

* John R Levine wrote:
> draft-bormann-cbor-04 describes a new binary structured data format called 
> Concise Binary Object Representation (CBOR), and proposes a media type for 
> it.  The media type info in the draft is:

>>  Encoding considerations:  none; CBOR is a binary format
> 
> Then it's 'binary', not 'none'.

I have seen it done as "none" more often than "binary". Can this group give us a definitive answer for the choice? We're happy to do what the group wants, but right now I can't tell which it should be.

>>  Security considerations:  Same as for the base document
> 
> This could use an additional sentence explaining why there is and what
> is a "base document" in this context, and why the higher-level format
> does not introduce any new security considerations.

This registration is part of an Internet-Draft this is likely to become an RFC; the registration won't live on its own or, if it does, that should say "the registration comes from RFC wxyz". If this group has a preferred way of saying that, we'd be happy to use it.

>>  Applications that use this media type:  None yet, but it is expected
>>     that this format will be deployed in many protocols and
>>     applications.
> 
> This should provide more contextual detail than "many".

Your faith in our predictive abilities is appreciated, but badly misplaced. We will simply remove "many".

> Is there a
> particular kind of application that would use it, like backup and
> archival software or 3d modeling applications or Office programs?

Again, that's defined in the Internet-Draft.

> Making Carsten Bormann the change controller requires some rationale,
> including where RFC 6838 allows that, especially considering that the
> draft-bormann-cbor-04 document appears to be "Standards Track".

I see nothing in RFC 6838 that suggests anything other than what we put in. Having said that, if this group wants standards-track documents to begin having change control be with the IESG, we would certainly make that change *as long as* you say exactly what should be in the field. If that's what y'all want, someone here should write up a short update to 6838 saying so.

Again: we're happy to make changes, but we would want to hear from this group before we go against earlier typical practices.

--Paul Hoffman

---

From: Tony Hansen <[email-masked]>
Date: Fri, 19 Jul 2013 12:31:30 -0400

> I see nothing in RFC 6838 that suggests anything other than what we put in. Having said that, if this group wants standards-track documents to begin having change control be with the IESG, we would…

I think anything on the standards track almost always has the IESG
listed as the change controller.

    Tony

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Fri, 19 Jul 2013 19:08:16 +0200

* Paul Hoffman wrote:
>I have seen it done as "none" more often than "binary". Can this group 
>give us a definitive answer for the choice? We're happy to do what the 
>group wants, but right now I can't tell which it should be.

See <http://tools.ietf.org/html/rfc6838#section-4.8>. RFC 2048 did not
list particular values to use, but RFC 4288 and its successor let you
choose only among the four values listed, and "none" is not among them.

>This registration is part of an Internet-Draft this is likely to become 
>an RFC; the registration won't live on its own or, if it does, that 
>should say "the registration comes from RFC wxyz". If this group has a 
>preferred way of saying that, we'd be happy to use it.

In RFC 4329 I used "See section 5." if that is the intended meaning.

>Again, that's defined in the Internet-Draft.

The field is supposed to give readers an idea in what context the type
fits in. You could say something like "an application- and protocol-
independent data serialization format for storage and exchange between
systems" if that sounds about right.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Tony Hansen <[email-masked]>
Date: Fri, 19 Jul 2013 17:13:43 -0400

On 7/19/2013 12:44 PM, Paul Hoffman wrote:
> On Jul 19, 2013, at 9:31 AM, Tony Hansen <[email-masked]> wrote:
>
> Ah, maybe that's newer than what I have seen. Can you point to a recent RFC with that so we can copy it into our template?
>
> And, again, maybe an update to (the recently-issued) RFC 6838 is in order for this.
>
> --Paul Hoffman

I took a quick look at a bunch of RFCs in the RFC6xxx range and the vast
majority of the ones that register media types on the standards track
say one of:

    The IESG <[email-masked]>
or
    IESG
or
    IESG <[email-masked]>
or
    [email-masked]
or
    The IETF
or
    IETF XYZ Working Group, delegated from the IESG.

I only saw two that listed individuals instead of one of the above examples.

Take your pick.

    Tony

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 19 Jul 2013 09:44:09 -0700

--Paul Hoffman

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 19 Jul 2013 10:32:32 -0700

> choose only among the four values listed, and "none" is not among them.

Thanks for the pointer. "binary" seems fine then.

> In RFC 4329 I used "See section 5." if that is the intended meaning.

Sure, we can change this to a direct pointer.

--Paul Hoffman

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 19 Jul 2013 16:31:42 -0700

On Jul 19, 2013, at 2:13 PM, Tony Hansen <[email-masked]> wrote:

>>> I think anything on the standards track almost always has the IESG listed as the change controller.
> I took a quick look at a bunch of RFCs in the RFC6xxx range and the vast majority of the ones that register media types on the standards track say one of:

Hrm. I guess it's been a while since I read RFCs that had media types. :-)

> I only saw two that listed individuals instead of one of the above examples.

Picking the top one. Thanks!

--Paul Hoffman